Repository layout revamp
Closed, ResolvedPublic

Description

Since we are migrating to jessie, it's time to reconsider our repo layout too.

Possible actions:

  • Purge the packages.vyos.net of [long irrelevant and outdated] existing repositories, keep only ISO images (that I'll do)
  • Create a repository for vyos-independent packages like hvinfo, ipaddrcheck etc. (that I'll do, already planned)
  • Remove vyos-independent packages from vyos repo (same)

It's more interesting what we'll do with our vyos repo afterwards. It accumulated quite a lot of cruft, and distro aliases are broken.
Since VyOS 1.x is going to maintenance mode, we may want to move the old one to e.g. /legacy/vyos and re-populate a fresh one.

Details

Difficulty level
Normal (likely a few hours)
Version
-
dmbaturin created this task.Mar 3 2016, 9:34 PM

Removed the package repos from packages.vyos.net. I also moved the makeself-based update packs to dev.packages.vyos.net/legacy, it's unlikely that anyone wants them anymore, as they are ancient.
Next step is the repo for independent packages and ckeaning them up from the /vyos repo.

syncer changed the edit policy from "Public (No Login Required)" to "Custom Policy".Aug 21 2017, 1:01 AM
syncer set Version to -.
syncer edited projects, added VyOS 1.2.x; removed VyOS 1.1.x.
syncer added a subscriber: syncer.

@dmbaturin i moved this to 1.2 as you partially made changes to repos

Create a new repo (dev.packages.vyos.net/debian) and moved hvinfo to there.

eventwatch is next, then libcidr and ipaddrcheck.

@Unicron Looks like I'm a bit out of sync with you: what's the plan for stretch and its custom scripts in the CI?

dmbaturin closed this task as Resolved.Feb 20 2018, 5:23 AM

Done for all practical purposes. Everything else will deserve its own task.